import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_encrypt_lib/flutter_encrypt_lib.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_encrypt_lib');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterEncryptLib.platformVersion, '42');
  });
}
