package com.juggist.flutter_encrypt_lib_example;

import android.os.Bundle;

import com.juggist.flutter_encrypt_lib_example.utils.DESUtil;

import io.flutter.app.FlutterActivity;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugins.GeneratedPluginRegistrant;

public class MainActivity extends FlutterActivity {
    private static final String CHANNEL = "com.encrypt";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        GeneratedPluginRegistrant.registerWith(this);
        new MethodChannel(getFlutterView(), CHANNEL).setMethodCallHandler(
                (methodCall, result) -> {
                    if (methodCall.method.equals("getDES")) {
                        String args = methodCall.argument("beforeDES");
                        String key = methodCall.argument("key");
                        String desStr = DESUtil.encrypt(args, key);
                        result.success(desStr);
                    } else {
                        result.notImplemented();
                    }

                }
        );
    }

}